/**
 * @file modules/dmx4all.h
 * @author Florian Schmitt <florian.schmitt@qikgrp.com>
 * ----------------------------------------------------------------------------
 * Implements dmx4all micro usb interface driver
 * ----------------------------------------------------------------------------
 * (c) Florian Schmitt / 2012-2013
 * License GPLv3+: GNU GPL Version 3 
 * or higher <http://gnu.org/licenses/gpl.html>
 * This code comes with ABSOLUTELY NO WARRANTY. This is free software, and 
 * you are welcome to redistribute it under certain conditions.
 * ----------------------------------------------------------------------------
**/
#ifndef DMX4ALL_H
#define DMX4ALL_H

/* Init DMX4ALL Micro USB Interface */
int dmx4all_init(int);
/* Clean up interface */
void dmx4all_destroy();
/* Resets all channels to zero */
int dmx4all_reset_channels();
/* Sets all channels to a given value */
int dmx4all_set_all(int);
/* Sets a channel to a given value */
int dmx4all_set(int, int);

#endif /* DMX4ALL_H */
